package javasamp;

public class RPADriver
   {
   static String TermNum="";
   static String StoreNum="";
   static int EnableVDisplay=0;
   static int AutoConnectEnabled=0;
   static int AppHardTotals=0;
   static String TCAddr = "";

   public RPADriver()
      {
      }

   public static void main(String[] args)
      {
      ParseArgs(args);
      MainForm mf = new MainForm(TermNum, StoreNum, EnableVDisplay, AutoConnectEnabled, AppHardTotals, TCAddr);
      mf.show();
      }

   static void ParseArgs(String[] args)
      {
      if (args.length > 0)
         {
         int cnt1;
         for (cnt1=0; cnt1<args.length; cnt1++)
            {
            if ((args[cnt1].toString()).equalsIgnoreCase("-t") && (args.length > cnt1))
               {
               cnt1++;
               TermNum = args[cnt1];
               System.out.println("Term overridden to " + TermNum);
               }
            else if ((args[cnt1].toString()).equalsIgnoreCase("-s") && (args.length > cnt1))
               {
               cnt1++;
               StoreNum = args[cnt1];
               System.out.println("Store overridden to " + StoreNum);
               }
            else if ((args[cnt1].toString()).equalsIgnoreCase("-a") && (args.length > cnt1))
               {
               cnt1++;
               TCAddr = args[cnt1];
               System.out.println("TC server address overridden to " + TCAddr);
               }
            else if ((args[cnt1].toString()).equalsIgnoreCase("-vdisp"))
               {
               EnableVDisplay = 1;
               System.out.println("VDISPLAY enabled");
               }
            else if ((args[cnt1].toString()).equalsIgnoreCase("-autoc"))
               {
               AutoConnectEnabled = 1;
               System.out.println("Auto connect enabled");
               }
            else if ((args[cnt1].toString()).equalsIgnoreCase("-appht"))
               {
               AppHardTotals = 1;
               System.out.println("App hard totals enabled");
               }
            }
         }
      }
   }
